We just released our native n8n integration!ยป Try now
OnlyFans API
Analytics - Financial

Get Transactions By Type

Get transaction totals grouped by transaction type (subscriptions, tips, messages, etc.).

POST
/api/analytics/financial/transactions/by-type
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Request Body

application/json

account_ids*array<string>

Array of account prefixed IDs

start_date*string

The start date (ISO 8601 format)

end_date*string

The end date (ISO 8601 format)

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/analytics/financial/transactions/by-type" \  -H "Content-Type: application/json" \  -d '{    "account_ids": [      "acc_abc123",      "acc_def456"    ],    "start_date": "2024-01-01",    "end_date": "2024-12-31"  }'
[
  {
    "type": "subscription",
    "count": 100,
    "total": 5000
  },
  {
    "type": "tip",
    "count": 50,
    "total": 2500
  }
]